Edit UI: either comboboxes and spinboxes don't show the feature's current value

2010-12-08 01:14 AM - Giuseppe Sucameli

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 13368

Description

Creating an editing UI form with a combobox, it is populated with all the field's values but it doesn't show the value of the selected feature.

The same using a spinbox, but I think this is a general behavior. It works using [[LineEdit]] only.

History

#1 - 2010-12-08 01:21 AM - Jürgen Fischer

Not reproducable here.  If possible provide a test case, please.

#2 - 2010-12-08 01:47 AM - Jürgen Fischer

See also: http://lists.osgeo.org/pipermail/qgis-developer/2010-December/011913.html

#3 - 2011-04-17 04:24 AM - Giuseppe Sucameli

- Resolution set to invalid

- Status changed from Open to Closed

I close the ticket, it works.

I've just to set the type of widgets in Layer Properties -> Fields.
